<?php

class EvSlideshowAppController extends AppController {

/**
 * Reads the plugin configuration file and returns an array
 * consisting of slide fields to assign to a template
 *
 * @return array The form fields to use per slide
 */
	protected function _assembleAdminSlideFields() {
		$fields = [];

		$configFields = Configure::read('EvSlideshow.fields');

		if (! empty($configFields)) {
			foreach ($configFields as $key => $value) {
				if ($key == 'is_active' && $value !== false) {
					$isActiveField = $value;
				} elseif ($key == 'extra') {
					foreach ($value as $extraColumn => &$extraValue) {
						if (isset($extraValue['validate'])) {
							unset($extraValue['validate']);
						}

						$fields['extra_' . $extraColumn] = $extraValue;
					}

				} else {
					$fields[$key] = $value;
				}
			}

			// add is_active field to the end of the $fields array, when used
			if (isset($isActiveField)) {
				$fields['is_active'] = $isActiveField;
			}
		}

		return $fields;
	}

/**
 * Allows for lookups to be assign to the slides, called from the ajax_add method
 * This should be accessible from SlidesController and SlideshowsController
 *
 * @return void
 */
	protected function _populateSlideLookups() {
	}

}
